echo -off

echo Reset Platform Auth
DoResetPlatformAuth

echo Start Policy Session
TPM2ProvTool.efi StartSession Policy_Session.sDef 0 > StartSession-SGX-del.log

echo Policy Command Code (0, TPM_CC_NV_UndefineSpaceSpecial)
TPM2ProvTool.efi AssertPolicy SGX_def-cc.pDef 0 > AssertPolicy-cc.log

echo Policy OR (Branch A, Branch B, Branch C)
TPM2ProvTool.efi AssertPolicy SGX_def-or-Branch-A-B-C-cfg.pDef 0 > AssertPolicy-OR-A-B-C-cfg.log

echo UndefineSpecial SGX_Def.iDef
TPM2ProvTool.efi UndefineSpecial SGX_Def.iDef 0 1 > UndefineSpecial-SGX.log

echo SGX Define
TPM2ProvTool.efi NvDefineSpace SGX_Def.iDef 1 > NvDefineSpace-SGX.log

echo Writing NV Data
TPM2ProvTool.efi NvWrite SGX_Def.iDef 1 > NvWrite-SGX-redDef.log

echo Flush Session 0
TPM2ProvTool.efi FlushSession 0 > FlushSession.log
