echo -off

echo Reset Platform Auth
DoResetPlatformAuth

echo Note: Ensure TXT is disabled when deleting AUX index.

echo Writing PS Policy to set AUXDeletionControl flag
echo Start Policy Session
TPM2ProvTool.efi StartSession Policy_Session.sDef 0 > StartSession-PS-Write.log

echo Policy OR (Branch A, Branch B, Branch C)
TPM2ProvTool.efi AssertPolicy PS_def-or-Branch-A-B-C-cfg.pDef 0 > AssertPolicy-OR-A-B-C-cfg.log

echo Writing NV Data
TPM2ProvTool.efi NvWrite PSx_DelAux.idef 1 > NvWrite-PS-DelAux_1.log

echo Flush Session 0
TPM2ProvTool.efi FlushSession 0 > FlushSession.log

echo =================================================================
echo Note:
echo   System will reset after pressing any key (other than Q).
echo   After the reset, please keep disable TXT in the BIOS Setup option.
echo   When booted up, run Define_AUX.nsh to re-define AUX index.
echo   Then re-enable TXT in the BIOS Setup option.
echo =================================================================
pause

echo Deleting AUX Index ...
echo "getsec64 -l enteraccs -fn resetAux -a BIOSAC.bin"
getsec64 -l enteraccs -fn resetAux -a BIOSAC.bin

reset
