echo -off

echo Reset Platform Auth
DoResetPlatformAuth

echo Start Policy Session
TPM2ProvTool.efi StartSession Policy_Session.sDef 0 > StartSession-PS-del.log

echo Policy Command Code (0, TPM_CC_NV_UndefineSpaceSpecial)
TPM2ProvTool.efi AssertPolicy PS_def-cc.pDef 0 > AssertPolicy-cc.log

echo Policy OR (Branch A, Branch B, Branch C)
TPM2ProvTool.efi AssertPolicy PS_def-or-Branch-A-B-C-cfg.pDef 0 > AssertPolicy-OR-A-B-C-cfg.log

echo UndefineSpecial PS_Def.iDef
TPM2ProvTool.efi UndefineSpecial PS_Def.iDef 0 1 > UndefineSpecial-PS.log

echo PS Define
TPM2ProvTool.efi NvDefineSpace PS_Def.iDef 1 > NvDefineSpace-PS.log

echo Flush Session 0
TPM2ProvTool.efi FlushSession 0 > FlushSession.log

echo Writing PS Policy
echo Start Policy Session
TPM2ProvTool.efi StartSession Policy_Session.sDef 0 > StartSession-PS-Write.log

echo Policy OR (Branch A, Branch B, Branch C)
TPM2ProvTool.efi AssertPolicy PS_def-or-Branch-A-B-C-cfg.pDef 0 > AssertPolicy-OR-A-B-C-cfg.log

echo Writing NV Data
TPM2ProvTool.efi NvWrite PS_Def.iDef 1 > NvWrite-PS-redDef.log

echo Flush Session 0
TPM2ProvTool.efi FlushSession 0 > FlushSession.log
